Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.utils.common
Class ServerWarmup

    java.lang.Object
      oracle.ifs.utils.common.ServerWarmup

    public class ServerWarmup

extends java.lang.Object

The `ServerWarmup.java` class - warmup a newly created LibraryService, by pre-resolving ACLs, etc.

(Unpublished)

Field Summary
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAcls` The property specifying the warmup of acls.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAllVersioningObjects` The property specifying the warmup of all versioning objects.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocuments` The property specifying the warmup of documents.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocumentSubclasses` The property specifying the warmup of document subclasses.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFolders` The property specifying the warmup of folders.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormats` The property specifying the warmup of formats.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupLeaveSessionActive` The property specifying to leave the session active.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMedias` The property specifying the warmup of medias.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSetAdmin` The property specifying the warmup of admin mode.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSubfolderIndication` The property specifying the warmup of subfolders indication.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsers` The property specifying the warmup of users.
`static java.lang.String` | `IFS_SERVER_AGENT_SERVICEWARMUP_WarmupVersioningObjects` The property specifying the warmup of versioning objects.
`protected ParameterTable` | `m_ParameterTable` The parameter table ( a table of name/value pairs build up from param.def
`static java.lang.String` | `PARAMETER_NAMESPACE_PREFIX` The namespace prefix for parameters

Constructor Summary
`ServerWarmup(ParameterTable params)` use a Parametertable that is constructed already.

Method Summary
`void` | `warmup(LibrarySession sess)`
`static void` | `warmupAclCache(LibrarySession sess)` warmup the acls cache
`static void` | `warmupAllVersioningObjectsCache(LibrarySession sess)` warmup All Versioning Objects not recommended, used for testing
`static void` | `warmupDocumentCache(LibrarySession sess)` warmup Document cache not recommended, used for testing
`static void` | `warmupDocumentSubclassesCache(LibrarySession sess)` warmup Document Subclasses not recommended, used for testing
`static void` | `warmupFolderCache(LibrarySession sess)` warmup Folder cache not recommended, used for testing
`static void` | `warmupFormatCache(LibrarySession sess)` warmup the format cache
`static void` | `warmupMediaCache(LibrarySession sess)` warmup the media cache
`static void` | `warmupSubfolderIndication(LibrarySession sess)` warmup leave session active
`static void` | `warmupUserCache(LibrarySession sess)` warmup the users cache
`static void` | `warmupVersioningObjectsCache(LibrarySession sess)` warmup Versioning Objects not recommended, used for testing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_NAMESPACE_PREFIX

    public static final java.lang.String PARAMETER_NAMESPACE_PREFIX

  Description copied from class: `ServerWarmup`
  The namespace prefix for parameters

  See Also:
    Constant Field Values
  (Unpublished)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSetAdmin

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSetAdmin

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of admin mode.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAcls

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAcls

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of acls.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormats

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFormats

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of formats.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMedias

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupMedias

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of medias.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsers

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupUsers

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of users.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAllVersioningObjects

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupAllVersioningObjects

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of all versioning objects.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupVersioningObjects

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupVersioningObjects

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of versioning objects.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFolders

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupFolders

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of folders.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocuments

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocuments

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of documents.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocumentSubclasses

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupDocumentSubclasses

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of document subclasses.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSubfolderIndication

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupSubfolderIndication

  Description copied from class: `ServerWarmup`
  The property specifying the warmup of subfolders indication.

  See Also:
    Constant Field Values
  (Published)

### IFS_SERVER_AGENT_SERVICEWARMUP_WarmupLeaveSessionActive

    public static final java.lang.String IFS_SERVER_AGENT_SERVICEWARMUP_WarmupLeaveSessionActive

  Description copied from class: `ServerWarmup`
  The property specifying to leave the session active.

  See Also:
    Constant Field Values
  (Published)

### m_ParameterTable

    protected ParameterTable m_ParameterTable

  Description copied from class: `ServerWarmup`
  The parameter table ( a table of name/value pairs build up from param.def

Constructor Detail

### ServerWarmup

    public ServerWarmup(ParameterTable params)

  use a Parametertable that is constructed already.

Method Detail

### warmup

    public void warmup(LibrarySession sess)
                throws IfsException

  Throws:
    `IfsException`

### warmupUserCache

    public static void warmupUserCache(LibrarySession sess)
                                throws IfsException

  Description copied from class: `ServerWarmup`
  warmup the users cache

  Throws:
    `IfsException`
  (Unpublished)

### warmupAclCache

    public static void warmupAclCache(LibrarySession sess)
                               throws IfsException

  Description copied from class: `ServerWarmup`
  warmup the acls cache

  Throws:
    `IfsException`
  (Unpublished)

### warmupFormatCache

    public static void warmupFormatCache(LibrarySession sess)
                                  throws IfsException

  Description copied from class: `ServerWarmup`
  warmup the format cache

  Throws:
    `IfsException`
  (Unpublished)

### warmupMediaCache

    public static void warmupMediaCache(LibrarySession sess)
                                 throws IfsException

  Description copied from class: `ServerWarmup`
  warmup the media cache

  Throws:
    `IfsException`
  (Unpublished)

### warmupVersioningObjectsCache

    public static void warmupVersioningObjectsCache(LibrarySession sess)
                                             throws IfsException

  Description copied from class: `ServerWarmup`
  warmup Versioning Objects not recommended, used for testing

  Throws:
    `IfsException`
  (Unpublished)

### warmupAllVersioningObjectsCache

    public static void warmupAllVersioningObjectsCache(LibrarySession sess)
                                                throws IfsException

  Description copied from class: `ServerWarmup`
  warmup All Versioning Objects not recommended, used for testing

  Throws:
    `IfsException`
  (Unpublished)

### warmupFolderCache

    public static void warmupFolderCache(LibrarySession sess)
                                  throws IfsException

  Description copied from class: `ServerWarmup`
  warmup Folder cache not recommended, used for testing

  Throws:
    `IfsException`
  (Unpublished)

### warmupDocumentCache

    public static void warmupDocumentCache(LibrarySession sess)
                                    throws IfsException

  Description copied from class: `ServerWarmup`
  warmup Document cache not recommended, used for testing

  Throws:
    `IfsException`
  (Unpublished)

### warmupDocumentSubclassesCache

    public static void warmupDocumentSubclassesCache(LibrarySession sess)
                                              throws IfsException

  Description copied from class: `ServerWarmup`
  warmup Document Subclasses not recommended, used for testing

  Throws:
    `IfsException`
  (Unpublished)

### warmupSubfolderIndication

    public static void warmupSubfolderIndication(LibrarySession sess)
                                          throws IfsException

  Description copied from class: `ServerWarmup`
  warmup leave session active

  Throws:
    `IfsException`
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD